# Command: Dot1D

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    Dot1D - Compute the inner product of two vectors.

Synopsis:

    array array Dot1D -> num

Description:

      Dot1D expects two one dimensional arrays or vectors and computes the
      inner product of the two arguments.
      Dot1D works equally well for arrays, doublevectors and intvectors.

      Example:
      <. 1 2 3 .> <. 1 2 3 .> Dot1D -> 14

Author:

    Marc-Oliver Gewaltig

FirstVersion:

    Dec 18 2012

SeeAlso:

- Dot
- OuterProduct

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative